Subject: Re: [PATCH] USB: hso: Fix OOB memory access in hso_probe/hso_get_config_data,Re: [PATCH] USB: hso: Fix OOB memory access in hso_probe/hso_get_config_data

From: Greg KH <[email-masked]>
Date: Mon, 10 Dec 2018 08:18:34 +0100

On Sun, Dec 09, 2018 at 09:17:58PM +0100, Mathias Payer wrote:
> > The whole kernel is full of situations where an int is returned and if it's
> > negative it's an error.  Why is this location so different?
> > 
> > Just check < 0 and be done with it.
> 
> OK, whatever you prefer.

My fault, I was tired and suggested the other way...

> I've attached the updated patch. (Greg, please add your Signed-off-by).

Patches can't be attached, I'll fix this up and resend, thanks.

greg k-h